Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core
Class ResultFile

    java.lang.Object
      org.pentaho.di.core.ResultFile

All Implemented Interfaces:
  Cloneable

    public class ResultFile

extends Object
implements Cloneable

This is a result file: a file as a result of the execution of a job entry, a transformation step, etc.

Author:
  matt

Field Summary
`static int` | `FILE_TYPE_ERROR`
`static int` | `FILE_TYPE_ERRORLINE`
`static int` | `FILE_TYPE_GENERAL`
`static int` | `FILE_TYPE_LOG`
`static int` | `FILE_TYPE_WARNING`
`static String[]` | `fileTypeCode`
`static String[]` | `fileTypeDesc`

Constructor Summary
`ResultFile(int type, org.apache.commons.vfs.FileObject file, String originParent, String origin)` Construct a new result file
`ResultFile(Node node)`

Method Summary
`static String[]` | `getAllTypeDesc()`
`String` | `getComment()`
`org.apache.commons.vfs.FileObject` | `getFile()`
`String` | `getOrigin()`
`String` | `getOriginParent()`
`RowMetaAndData` | `getRow()`
`Date` | `getTimestamp()`
`int` | `getType()`
`static int` | `getType(String typeString)` Search for the result file type, looking in both the descriptions (i18n depending) and the codes
`String` | `getTypeCode()`
`static String` | `getTypeCode(int fileType)`
`String` | `getTypeDesc()`
`static String` | `getTypeDesc(int fileType)`
`String` | `getXML()`
`void` | `setComment(String comment)`
`void` | `setFile(org.apache.commons.vfs.FileObject file)`
`void` | `setOrigin(String origin)`
`void` | `setOriginParent(String originParent)`
`void` | `setTimestamp(Date timestamp)`
`void` | `setType(int type)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE_TYPE_GENERAL

    public static final int FILE_TYPE_GENERAL

See Also:
  Constant Field Values

### FILE_TYPE_LOG

    public static final int FILE_TYPE_LOG

See Also:
  Constant Field Values

### FILE_TYPE_ERRORLINE

    public static final int FILE_TYPE_ERRORLINE

See Also:
  Constant Field Values

### FILE_TYPE_ERROR

    public static final int FILE_TYPE_ERROR

See Also:
  Constant Field Values

### FILE_TYPE_WARNING

    public static final int FILE_TYPE_WARNING

See Also:
  Constant Field Values

### fileTypeCode

    public static final String[] fileTypeCode

### fileTypeDesc

    public static final String[] fileTypeDesc

Constructor Detail

### ResultFile

    public ResultFile(int type,
                      org.apache.commons.vfs.FileObject file,
                      String originParent,
                      String origin)

  Construct a new result file

  Parameters:
    `type` - The type of file : FILE_TYPE_GENERAL, ...
    `file` - The file to use
    `originParent` - The transformation or job that has generated this result file
    `origin` - The step or job entry that has generated this result file

### ResultFile

    public ResultFile(Node node)
               throws IOException

Throws:
  `IOException`

Method Detail

### getComment

    public String getComment()

  Returns:
    Returns the comment.

### setComment

    public void setComment(String comment)

  Parameters:
    `comment` - The comment to set.

### getFile

    public org.apache.commons.vfs.FileObject getFile()

  Returns:
    Returns the file.

### setFile

    public void setFile(org.apache.commons.vfs.FileObject file)

  Parameters:
    `file` - The file to set.

### getOrigin

    public String getOrigin()

  Returns:
    Returns the origin : the step or job entry that generated this result file

### setOrigin

    public void setOrigin(String origin)

  Parameters:
    `origin` - The origin to set : the step or job entry that generated this result file

### getOriginParent

    public String getOriginParent()

  Returns:
    Returns the originParent : the transformation or job that generated this result file

### setOriginParent

    public void setOriginParent(String originParent)

  Parameters:
    `originParent` - The originParent to set : the transformation or job that generated this result file

### getType

    public int getType()

  Returns:
    Returns the type.

### setType

    public void setType(int type)

  Parameters:
    `type` - The type to set.

### getTypeDesc

    public String getTypeDesc()

  Returns:
    The description of this result files type.

### getTypeCode

    public String getTypeCode()

### getType

    public static final int getType(String typeString)

  Search for the result file type, looking in both the descriptions (i18n depending) and the codes

  Parameters:
    `typeString` - the type string to search for
  Returns:
    the result file type

### getTypeCode

    public static final String getTypeCode(int fileType)

  Parameters:
    `fileType` - the result file type
  Returns:
    the result file type code

### getTypeDesc

    public static final String getTypeDesc(int fileType)

  Parameters:
    `fileType` - the result file type
  Returns:
    the result file type description

### getAllTypeDesc

    public static final String[] getAllTypeDesc()

### getTimestamp

    public Date getTimestamp()

  Returns:
    Returns the timestamp.

### setTimestamp

    public void setTimestamp(Date timestamp)

  Parameters:
    `timestamp` - The timestamp to set.

### getRow

    public RowMetaAndData getRow()

  Returns:
    an output Row for this Result File object.

### getXML

    public String getXML()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD